# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_tomographySetupDialog(object):
    def setupUi(self, tomographySetupDialog):
        scaleUI = SCALE_UI
        tomographySetupDialog.setObjectName("tomographySetupDialog")
        tomographySetupDialog.resize(300*scaleUI, 430*scaleUI)
        tomographySetupDialog.setMinimumSize(QtCore.QSize(300*scaleUI, 430*scaleUI))
        tomographySetupDialog.setMaximumSize(QtCore.QSize(300*scaleUI, 430*scaleUI))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/tomoSetup.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        tomographySetupDialog.setWindowIcon(icon)
        tomographySetupDialog.setWindowOpacity(1.0)
        self.buttonBox = QtGui.QDialogButtonBox(tomographySetupDialog)
        self.buttonBox.setGeometry(QtCore.QRect(80*scaleUI, 390*scaleUI, 230*scaleUI, 32*scaleUI))
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setCenterButtons(True)
        self.buttonBox.setObjectName("buttonBox")
        self.groupBox = QtGui.QGroupBox(tomographySetupDialog)
        self.groupBox.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 271*scaleUI, 129*scaleUI))
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_3 = QtGui.QVBoxLayout(self.groupBox)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.formLayout_2 = QtGui.QFormLayout()
        self.formLayout_2.setObjectName("formLayout_2")
        self.projectionStepLabel = QtGui.QLabel(self.groupBox)
        self.projectionStepLabel.setObjectName("projectionStepLabel")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.LabelRole, self.projectionStepLabel)
        self.projectionStepLineEdit = QtGui.QLineEdit(self.groupBox)
        self.projectionStepLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.projectionStepLineEdit.setObjectName("projectionStepLineEdit")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.FieldRole, self.projectionStepLineEdit)
        self.diameterRingLabel = QtGui.QLabel(self.groupBox)
        self.diameterRingLabel.setObjectName("diameterRingLabel")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.LabelRole, self.diameterRingLabel)
        self.diameterRingLineEdit = QtGui.QLineEdit(self.groupBox)
        self.diameterRingLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.diameterRingLineEdit.setObjectName("diameterRingLineEdit")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.FieldRole, self.diameterRingLineEdit)
        self.oneProjectionLabel = QtGui.QLabel(self.groupBox)
        self.oneProjectionLabel.setObjectName("oneProjectionLabel")
        self.formLayout_2.setWidget(2, QtGui.QFormLayout.LabelRole, self.oneProjectionLabel)
        self.oneProjectionCheckBox = QtGui.QCheckBox(self.groupBox)
        self.oneProjectionCheckBox.setObjectName("oneProjectionCheckBox")
        self.formLayout_2.setWidget(2, QtGui.QFormLayout.FieldRole, self.oneProjectionCheckBox)
        self.verticalLayout_3.addLayout(self.formLayout_2)
        self.groupBox_2 = QtGui.QGroupBox(tomographySetupDialog)
        self.groupBox_2.setGeometry(QtCore.QRect(10*scaleUI, 150*scaleUI, 275*scaleUI, 235*scaleUI))
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout.setObjectName("formLayout")
        self.pointSourceLabel = QtGui.QLabel(self.groupBox_2)
        self.pointSourceLabel.setObjectName("pointSourceLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.pointSourceLabel)
        self.pointSourceCheckBox = QtGui.QCheckBox(self.groupBox_2)
        self.pointSourceCheckBox.setObjectName("pointSourceCheckBox")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.pointSourceCheckBox)
        self.transducerSizeLabel = QtGui.QLabel(self.groupBox_2)
        self.transducerSizeLabel.setObjectName("transducerSizeLabel")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.transducerSizeLabel)
        self.transducerSizeLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.transducerSizeLineEdit.setMaximumSize(QtCore.QSize(80, 16777215))
        self.transducerSizeLineEdit.setObjectName("transducerSizeLineEdit")
        self.formLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.transducerSizeLineEdit)
        self.verticalLayout_2.addLayout(self.formLayout)
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.previewPushButton = QtGui.QPushButton(self.groupBox_2)
        self.previewPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.previewPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/previewImage.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previewPushButton.setIcon(icon1)
        self.previewPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.previewPushButton.setObjectName("previewPushButton")
        self.verticalLayout.addWidget(self.previewPushButton)
        self.advancedParametersSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.advancedParametersSetupPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.advancedParametersSetupPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/simModel.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.advancedParametersSetupPushButton.setIcon(icon2)
        self.advancedParametersSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.advancedParametersSetupPushButton.setObjectName("advancedParametersSetupPushButton")
        self.verticalLayout.addWidget(self.advancedParametersSetupPushButton)
        self.signalSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.signalSetupPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.signalSetupPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/signal.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.signalSetupPushButton.setIcon(icon3)
        self.signalSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.signalSetupPushButton.setCheckable(False)
        self.signalSetupPushButton.setDefault(False)
        self.signalSetupPushButton.setFlat(False)
        self.signalSetupPushButton.setObjectName("signalSetupPushButton")
        self.verticalLayout.addWidget(self.signalSetupPushButton)
        self.verticalLayout_2.addLayout(self.verticalLayout)

        self.retranslateUi(tomographySetupDialog)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("accepted()"), tomographySetupDialog.accept)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("rejected()"), tomographySetupDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(tomographySetupDialog)

    def retranslateUi(self, tomographySetupDialog):
        tomographySetupDialog.setWindowTitle(QtGui.QApplication.translate("tomographySetupDialog", "Tomography Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox.setTitle(QtGui.QApplication.translate("tomographySetupDialog", "Tomography Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.projectionStepLabel.setText(QtGui.QApplication.translate("tomographySetupDialog", "Projection Step (º)", None, QtGui.QApplication.UnicodeUTF8))
        self.diameterRingLabel.setText(QtGui.QApplication.translate("tomographySetupDialog", "Diameter Ring (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.oneProjectionLabel.setText(QtGui.QApplication.translate("tomographySetupDialog", "One Projection", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_2.setTitle(QtGui.QApplication.translate("tomographySetupDialog", "Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.pointSourceLabel.setText(QtGui.QApplication.translate("tomographySetupDialog", "Point Source", None, QtGui.QApplication.UnicodeUTF8))
        self.transducerSizeLabel.setText(QtGui.QApplication.translate("tomographySetupDialog", "Transducer Size (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.previewPushButton.setText(QtGui.QApplication.translate("tomographySetupDialog", "Preview Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.advancedParametersSetupPushButton.setText(QtGui.QApplication.translate("tomographySetupDialog", "Advanced Parameters Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.signalSetupPushButton.setText(QtGui.QApplication.translate("tomographySetupDialog", "Signal Parameters", None, QtGui.QApplication.UnicodeUTF8))

